Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Class SimpleJavaNode

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode

All Implemented Interfaces:
  JavaNode, Node

Direct Known Subclasses:
  AccessNode, ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTAnnotation, ASTAnnotationTypeBody, ASTAnnotationTypeMemberDeclaration, ASTArgumentList, ASTArguments, ASTArrayDimsAndInits, ASTArrayInitializer, ASTAssertStatement, ASTAssignmentOperator, ASTBlock, ASTBlockStatement, ASTBooleanLiteral, ASTBreakStatement, ASTCastExpression, ASTCastLookahead, ASTCatchStatement, ASTClassOrInterfaceBody, ASTClassOrInterfaceBodyDeclaration, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTContinueStatement, ASTDefaultValue, ASTDoStatement, ASTEmptyStatement, ASTEnumBody, ASTEnumConstant, ASTEnumElement, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExplicitConstructorInvocation, ASTExpression, ASTExtendsList, ASTFinallyStatement, ASTForInit, ASTFormalParameters, ASTForStatement, ASTForUpdate, ASTIfStatement, ASTImplementsList, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInitializer, ASTInstanceOfExpression, ASTLabeledStatement, ASTLiteral, ASTMarkerAnnotation, ASTMemberSelector, ASTMemberValue, ASTMemberValueArrayInitializer, ASTMemberValuePair, ASTMemberValuePairs, ASTMethodDeclarationLookahead, ASTMethodDeclarator, ASTModifiers, ASTMultiplicativeExpression, ASTName, ASTNameList, ASTNormalAnnotation, ASTNullLiteral, ASTPackageDeclaration, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimarySuffix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTResultType, ASTReturnStatement, ASTRSIGNEDSHIFT, ASTRUNSIGNEDSHIFT, ASTShiftExpression, ASTSingleMemberAnnotation, ASTStatement, ASTStatementExpression, ASTStatementExpressionList, ASTSwitchLabel, ASTSwitchStatement, ASTSynchronizedStatement, ASTThrowStatement, ASTTryStatement, ASTType, ASTTypeArgument, ASTTypeArguments, ASTTypeBound, ASTTypeDeclaration, ASTTypeParameter, ASTTypeParameters, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId, ASTVariableInitializer, ASTWhileStatement, ASTWildcardBounds

public class SimpleJavaNode
extends SimpleNode
implements JavaNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`SimpleJavaNode(int i)`
`SimpleJavaNode(JavaParser p, int i)`

Method Summary
`java.lang.Object` | `childrenAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`java.lang.String` | `toString()`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### SimpleJavaNode

    public SimpleJavaNode(JavaParser p,
                          int i)

### SimpleJavaNode

    public SimpleJavaNode(int i)

Method Detail

### jjtOpen

    public void jjtOpen()

  Description copied from interface: `Node`
  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

  Specified by:
    `jjtOpen` in interface `Node`

### jjtClose

    public void jjtClose()

  Description copied from interface: `Node`
  This method is called after all the child nodes have been added.

  Specified by:
    `jjtClose` in interface `Node`

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`

### childrenAccept

    public java.lang.Object childrenAccept(JavaParserVisitor visitor,
                                           java.lang.Object data)

  Accept the visitor. *

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.